(function() {
'use strict';

var exports = function(view) {
  view.on('before render', methods.setAttrs);
};

var methods = {
  setAttrs: function() {
    if (this.parent) this.el.setAttribute('view-parent', this.parent.el.id);
    this.el.setAttribute('view-name', this.name);
  }
};

if (typeof module === 'object') {
  module.exports = exports;
} else if (typeof define === 'function' && define.amd) {
  define(function(){ return exports; });
} else {
  window['viewjs-serialize'] = exports;
}

})();