
view
  .plugin(window['viewjs-nested'])
  .plugin(window['viewjs-serialize']);

suite('View#serialize()', function() {
	test('Should attach correct attributes', function() {
    var Parent = view.define({
      template: function() { return this.nested[0].render().html(); }
    });

    var Child = view.define({});
    var parent = new Parent();
		var child = new Child();

    parent
      .add(child)
      .render();

    assert(child.el.getAttribute('view-parent') === parent.el.id);
    assert(child.el.getAttribute('view-name') === child.name);
    assert(parent.el.getAttribute('view-name') === parent.name);
	});
});